### Virtual Method

# Clutter LayoutManager get_preferred_height

#### Declaration [src]

    void
    get_preferred_height (
      ClutterLayoutManager* manager,
      ClutterActor* container,
      gfloat for_width,
      gfloat* min_height_p,
      gfloat* nat_height_p
    )

#### Description [src]

Computes the minimum and natural heights of the `container` according to `manager`.

See also `clutter_actor_get_preferred_height()`.

#### Parameters

`container`

  Type: `ClutterActor`

  The `ClutterActor` using `manager`.

  The data is owned by the caller of the method.

`for_width`

  Type: `gfloat`

  The width for which the height should be computed, or -1.

`min_height_p`

  Type: `gfloat*`

  Return location for the minimum height of the layout, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`nat_height_p`

  Type: `gfloat*`

  Return location for the natural height of the layout, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.